Package org.codehaus.plexus.util.reflection

# Class ReflectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.plexus.util.reflection.ReflectorException

All Implemented Interfaces:
  `Serializable`

public class ReflectorException extends Exception
Exception indicating that an error has occurred while instantiating a class with the Reflector class. This exception is meant to put a more user-friendly face on the myriad other exceptions throws during reflective object creation.

Author:
  John Casey
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReflectorException()`
`ReflectorException(String msg)`
Create a new ReflectorException with the specified message.
`ReflectorException(String msg, Throwable root)`
Create a new ReflectorException with the specified message and root cause.
`ReflectorException(Throwable root)`
Create a new ReflectorException with the specified root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReflectorException

public ReflectorException()

### ReflectorException

public ReflectorException(String msg)
Create a new ReflectorException with the specified message.

Parameters:
  `msg` - The message.

### ReflectorException

public ReflectorException(Throwable root)
Create a new ReflectorException with the specified root cause.

Parameters:
  `root` - The root cause.

### ReflectorException

public ReflectorException(String msg, Throwable root)
Create a new ReflectorException with the specified message and root cause.

Parameters:
  `msg` - The message.
  `root` - The root cause.